/* Exemplet visar användning av "this", för att få en referen till det element
   som är kopplat till händelsen och funktionen. Det blir alltså det element som
   användaren klickat på, för att komma till funktionen.
   Det visas också hur man kan aktivera eller deaktivera ett element
   och dess händelsehanterare. */
// --------------------------------------------------

// Program som körs då webbsidan laddats in
function init() {
    // Koppla element till funktioner
	document.querySelector("#fruit1").addEventListener("click", chooseFruit);
	document.querySelector("#fruit2").addEventListener("click", chooseFruit);

    document.querySelector("#startBtn").addEventListener("click", start);
    document.querySelector("#stopBtn").addEventListener("click", stop);
    document.querySelector("#stopBtn").disabled = true;
} // Slut init
window.addEventListener("load", init); // init anropas då webbsidan är inladdad
// --------------------------------------------------
// Funktionen anropas, då man klickar på någon av fruktbilderna
function chooseFruit() {
    console.log(this);
	console.log(this.alt);
} // Slut chooseFruit
// --------------------------------------------------
// Inaktivera startknappen och aktivera stoppknappen
function start() {
    document.querySelector("#startBtn").disabled = true;
    document.querySelector("#stopBtn").disabled = false;
} // Slut start
// --------------------------------------------------
// Aktivera startknappen och inaktivera stoppknappen
function stop() {
    document.querySelector("#startBtn").disabled = false;
    document.querySelector("#stopBtn").disabled = true;
} // Slut stop
// --------------------------------------------------
